petsc-3.7.1 2016-05-15
Report Typos and Errors

# AOApplicationToPetscIS

Maps an index set in the application-defined ordering to the PETSc ordering.

### Synopsis

    #include "petscao.h"
    PetscErrorCode  AOApplicationToPetscIS(AO ao,IS is)

Collective on AO and IS Many br

### Input Parameters

| ao | - the application ordering context Many br
| is | - the index set; this is replaced with its mapped values Many br

### Output Parameter

is -the mapped index set Many br

Many br

### Note

The index set cannot be of type stride or block Many br

Any integers in ia[] that are negative are left unchanged. This Many brallows one to convert, for example, neighbor lists that use negative Many brentries to indicate nonexistent neighbors due to boundary conditions, etc. Many br

### Keywords

application ordering, mapping

### See Also

AOCreateBasic(), AOView(), AOPetscToApplication(),
AOPetscToApplicationIS(), AOApplicationToPetsc() Many br

Level:beginner
Location:src/vec/is/ao/interface/ao.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages